<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_17) on Fri Dec 04 18:31:04 CET 2009 -->
<TITLE>
DefaultArrayOperations
</TITLE>

<META NAME="keywords" CONTENT="ch.javasoft.math.array.impl.DefaultArrayOperations class">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="DefaultArrayOperations";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/DefaultArrayOperations.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../ch/javasoft/math/array/impl/AbstractArrayOperations.html" title="class in ch.javasoft.math.array.impl"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultNumberArrayOperations.html" title="class in ch.javasoft.math.array.impl"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?ch/javasoft/math/array/impl/DefaultArrayOperations.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="DefaultArrayOperations.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
ch.javasoft.math.array.impl</FONT>
<BR>
Class DefaultArrayOperations&lt;C&gt;</H2>
<PRE>
<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">java.lang.Object</A>
  <IMG SRC="../../../../../resources/inherit.gif" ALT="extended by "><A HREF="../../../../../ch/javasoft/math/array/impl/AbstractArrayOperations.html" title="class in ch.javasoft.math.array.impl">ch.javasoft.math.array.impl.AbstractArrayOperations</A>&lt;C[]&gt;
      <IMG SRC="../../../../../resources/inherit.gif" ALT="extended by "><B>ch.javasoft.math.array.impl.DefaultArrayOperations&lt;C&gt;</B>
</PRE>
<DL>
<DT><B>All Implemented Interfaces:</B> <DD><A HREF="../../../../../ch/javasoft/math/array/ArrayOperations.html" title="interface in ch.javasoft.math.array">ArrayOperations</A>&lt;C[]&gt;</DD>
</DL>
<HR>
<DL>
<DT><PRE>public class <A HREF="../../../../../src-html/ch/javasoft/math/array/impl/DefaultArrayOperations.html#line.43"><B>DefaultArrayOperations&lt;C&gt;</B></A><DT>extends <A HREF="../../../../../ch/javasoft/math/array/impl/AbstractArrayOperations.html" title="class in ch.javasoft.math.array.impl">AbstractArrayOperations</A>&lt;C[]&gt;</DL>
</PRE>

<P>
Default implementation for <A HREF="../../../../../ch/javasoft/math/array/ArrayOperations.html" title="interface in ch.javasoft.math.array"><CODE>ArrayOperations</CODE></A> for normal arrays, where
 the single components are Objects (not primitive types).
<P>

<P>
<HR>

<P>

<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../ch/javasoft/math/array/impl/DefaultArrayOperations.html#DefaultArrayOperations(java.lang.Class)">DefaultArrayOperations</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Class.html" title="class or interface in java.lang">Class</A>&lt;<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultArrayOperations.html" title="type parameter in DefaultArrayOperations">C</A>[]&gt;&nbsp;arrayClass)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/math/array/impl/DefaultArrayOperations.html#copyMatrixColumnElements(C[][], int, int, C[][], int, int, int)">copyMatrixColumnElements</A></B>(<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultArrayOperations.html" title="type parameter in DefaultArrayOperations">C</A>[][]&nbsp;src,
                                                 int&nbsp;srcRowStart,
                                                 int&nbsp;srcCol,
                                                 <A HREF="../../../../../ch/javasoft/math/array/impl/DefaultArrayOperations.html" title="type parameter in DefaultArrayOperations">C</A>[][]&nbsp;dst,
                                                 int&nbsp;dstRowStart,
                                                 int&nbsp;dstCol,
                                                 int&nbsp;length)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Copies the specified column elements from <code>src</code> to <code>dst</code>, 
 that is,</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/math/array/impl/DefaultArrayOperations.html#copyMatrixColumnElementsToRow(C[][], int, int, C[][], int, int, int)">copyMatrixColumnElementsToRow</A></B>(<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultArrayOperations.html" title="type parameter in DefaultArrayOperations">C</A>[][]&nbsp;src,
                                                           int&nbsp;srcRowStart,
                                                           int&nbsp;srcCol,
                                                           <A HREF="../../../../../ch/javasoft/math/array/impl/DefaultArrayOperations.html" title="type parameter in DefaultArrayOperations">C</A>[][]&nbsp;dst,
                                                           int&nbsp;dstRow,
                                                           int&nbsp;dstColStart,
                                                           int&nbsp;length)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Copies the specified column elements from the <code>src</code> matrix to the  
 row of the <code>dst</code> matrix, that  is,</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/math/array/impl/DefaultArrayOperations.html#copyMatrixColumnElementsToVector(C[][], int, int, C[], int, int)">copyMatrixColumnElementsToVector</A></B>(<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultArrayOperations.html" title="type parameter in DefaultArrayOperations">C</A>[][]&nbsp;src,
                                                                 int&nbsp;srcRowStart,
                                                                 int&nbsp;srcCol,
                                                                 <A HREF="../../../../../ch/javasoft/math/array/impl/DefaultArrayOperations.html" title="type parameter in DefaultArrayOperations">C</A>[]&nbsp;dst,
                                                                 int&nbsp;dstStart,
                                                                 int&nbsp;length)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Copies the specified column elements from the <code>src</code> matrix to the  
 vector <code>dst</code>, that  is,</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/math/array/impl/DefaultArrayOperations.html#copyMatrixDiagonalElementsToVector(C[][], C[])">copyMatrixDiagonalElementsToVector</A></B>(<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultArrayOperations.html" title="type parameter in DefaultArrayOperations">C</A>[][]&nbsp;src,
                                                                     <A HREF="../../../../../ch/javasoft/math/array/impl/DefaultArrayOperations.html" title="type parameter in DefaultArrayOperations">C</A>[]&nbsp;dst)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Copies the matrix diagonal elements from the <code>src</code> matrix to the  
 <code>dst</code> vector, that  is,</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/math/array/impl/DefaultArrayOperations.html#copyMatrixElement(C[][], int, int, C[][], int, int)">copyMatrixElement</A></B>(<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultArrayOperations.html" title="type parameter in DefaultArrayOperations">C</A>[][]&nbsp;src,
                                   int&nbsp;srcRow,
                                   int&nbsp;srcCol,
                                   <A HREF="../../../../../ch/javasoft/math/array/impl/DefaultArrayOperations.html" title="type parameter in DefaultArrayOperations">C</A>[][]&nbsp;dst,
                                   int&nbsp;dstRow,
                                   int&nbsp;dstCol)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Copies the specified element from <code>src</code> to <code>dst</code>, that is,</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/math/array/impl/DefaultArrayOperations.html#copyMatrixRowElementsToColumn(C[][], int, int, C[][], int, int, int)">copyMatrixRowElementsToColumn</A></B>(<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultArrayOperations.html" title="type parameter in DefaultArrayOperations">C</A>[][]&nbsp;src,
                                                           int&nbsp;srcRow,
                                                           int&nbsp;srcColStart,
                                                           <A HREF="../../../../../ch/javasoft/math/array/impl/DefaultArrayOperations.html" title="type parameter in DefaultArrayOperations">C</A>[][]&nbsp;dst,
                                                           int&nbsp;dstRowStart,
                                                           int&nbsp;dstCol,
                                                           int&nbsp;length)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Copies the specified row elements from the <code>src</code> matrix to the  
 column of the <code>dst</code> matrix, that  is,</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultArrayOperations.html" title="type parameter in DefaultArrayOperations">C</A>[][]</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/math/array/impl/DefaultArrayOperations.html#copyOfColumnSubMatrix(C[][], int...)">copyOfColumnSubMatrix</A></B>(<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultArrayOperations.html" title="type parameter in DefaultArrayOperations">C</A>[][]&nbsp;matrix,
                                           int...&nbsp;columnIndices)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the specified submatrix.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultArrayOperations.html" title="type parameter in DefaultArrayOperations">C</A>[]</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/math/array/impl/DefaultArrayOperations.html#copyOfMatrixColumn(C[][], int)">copyOfMatrixColumn</A></B>(<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultArrayOperations.html" title="type parameter in DefaultArrayOperations">C</A>[][]&nbsp;matrix,
                                     int&nbsp;column)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a single column of the given matrix</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultArrayOperations.html" title="type parameter in DefaultArrayOperations">C</A>[]</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/math/array/impl/DefaultArrayOperations.html#copyOfMatrixColumnRange(C[][], int, int, int)">copyOfMatrixColumnRange</A></B>(<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultArrayOperations.html" title="type parameter in DefaultArrayOperations">C</A>[][]&nbsp;matrix,
                                               int&nbsp;rowFrom,
                                               int&nbsp;rowTo,
                                               int&nbsp;column)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a copy of the range of a single matrix column, that is,
 <code>matrix[rowFrom : rowTo)[column]</code> with inclusive from and exclusive 
 to indices</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultArrayOperations.html" title="type parameter in DefaultArrayOperations">C</A>[]</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/math/array/impl/DefaultArrayOperations.html#copyOfMatrixDiagonal(C[][])">copyOfMatrixDiagonal</A></B>(<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultArrayOperations.html" title="type parameter in DefaultArrayOperations">C</A>[][]&nbsp;matrix)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Creates a copy of the diagonal elements from the <code>src</code> matrix and
 returns the resulting vector.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultArrayOperations.html" title="type parameter in DefaultArrayOperations">C</A>[][]</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/math/array/impl/DefaultArrayOperations.html#copyOfSubMatrix(C[][], int[], int[])">copyOfSubMatrix</A></B>(<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultArrayOperations.html" title="type parameter in DefaultArrayOperations">C</A>[][]&nbsp;matrix,
                               int[]&nbsp;rowIndices,
                               int[]&nbsp;columnIndices)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the specified submatrix.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultArrayOperations.html" title="type parameter in DefaultArrayOperations">C</A>[][]</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/math/array/impl/DefaultArrayOperations.html#copyOfSubMatrix(C[][], int, int, int, int)">copyOfSubMatrix</A></B>(<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultArrayOperations.html" title="type parameter in DefaultArrayOperations">C</A>[][]&nbsp;matrix,
                               int&nbsp;rowIndexFrom,
                               int&nbsp;rowIndexTo,
                               int&nbsp;colIndexFrom,
                               int&nbsp;colIndexTo)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a copy of the sub matrix 
 <code>[rowIndexFrom : rowIndexTo)[colIndexFrom : colIndexTo)</code>, meaning
 that from indices are inclusive and to indices exclusive.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/math/array/impl/DefaultArrayOperations.html#copyVectorElement(C[], int, C[], int)">copyVectorElement</A></B>(<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultArrayOperations.html" title="type parameter in DefaultArrayOperations">C</A>[]&nbsp;src,
                                   int&nbsp;srcIndex,
                                   <A HREF="../../../../../ch/javasoft/math/array/impl/DefaultArrayOperations.html" title="type parameter in DefaultArrayOperations">C</A>[]&nbsp;dst,
                                   int&nbsp;dstIndex)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Copies the specified element from <code>src</code> to <code>dst</code>, that is,</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/math/array/impl/DefaultArrayOperations.html#copyVectorElements(C[], int[], C[], int[])">copyVectorElements</A></B>(<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultArrayOperations.html" title="type parameter in DefaultArrayOperations">C</A>[]&nbsp;src,
                                     int[]&nbsp;srcIndices,
                                     <A HREF="../../../../../ch/javasoft/math/array/impl/DefaultArrayOperations.html" title="type parameter in DefaultArrayOperations">C</A>[]&nbsp;dst,
                                     int[]&nbsp;dstIndices)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Copies the specified elements from <code>src</code> to <code>dst</code>, that is,</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/math/array/impl/DefaultArrayOperations.html#copyVectorElementsToMatrixColumn(C[], int, C[][], int, int, int)">copyVectorElementsToMatrixColumn</A></B>(<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultArrayOperations.html" title="type parameter in DefaultArrayOperations">C</A>[]&nbsp;src,
                                                                 int&nbsp;srcStart,
                                                                 <A HREF="../../../../../ch/javasoft/math/array/impl/DefaultArrayOperations.html" title="type parameter in DefaultArrayOperations">C</A>[][]&nbsp;dst,
                                                                 int&nbsp;dstRowStart,
                                                                 int&nbsp;dstCol,
                                                                 int&nbsp;length)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Copies the specified elements from the <code>src</code> vector to a row of the 
 <code>dst</code> matrix, that is,</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/math/array/impl/DefaultArrayOperations.html#copyVectorElementsToMatrixDiagonal(C[], C[][])">copyVectorElementsToMatrixDiagonal</A></B>(<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultArrayOperations.html" title="type parameter in DefaultArrayOperations">C</A>[]&nbsp;src,
                                                                     <A HREF="../../../../../ch/javasoft/math/array/impl/DefaultArrayOperations.html" title="type parameter in DefaultArrayOperations">C</A>[][]&nbsp;dst)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Copies the elements of the <code>src</code> vector to the diagonal of the 
 <code>dst</code> matrix, that  is,</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/math/array/impl/DefaultArrayOperations.html#getAsString(C[], int)">getAsString</A></B>(<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultArrayOperations.html" title="type parameter in DefaultArrayOperations">C</A>[]&nbsp;vector,
                       int&nbsp;index)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a single vector element as string</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/math/array/impl/DefaultArrayOperations.html#getColumnCount(C[][])">getColumnCount</A></B>(<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultArrayOperations.html" title="type parameter in DefaultArrayOperations">C</A>[][]&nbsp;matrix)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the second dimension of the given 2D array, associated with 
 matrix columns</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/math/array/impl/DefaultArrayOperations.html#getLength(C[])">getLength</A></B>(<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultArrayOperations.html" title="type parameter in DefaultArrayOperations">C</A>[]&nbsp;array)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the length of the given array</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultArrayOperations.html" title="type parameter in DefaultArrayOperations">C</A>[][]</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/math/array/impl/DefaultArrayOperations.html#newDiagonalMatrix(C[])">newDiagonalMatrix</A></B>(<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultArrayOperations.html" title="type parameter in DefaultArrayOperations">C</A>[]&nbsp;diagonal)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Creates a new diagonal matrix containing the elements given in the 
 <code>diagonal</code> vector.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/math/array/impl/DefaultArrayOperations.html#swapMatrixColumns(C[][], int, int)">swapMatrixColumns</A></B>(<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultArrayOperations.html" title="type parameter in DefaultArrayOperations">C</A>[][]&nbsp;matrix,
                                   int&nbsp;col1,
                                   int&nbsp;col2)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Swaps all corresponding column elements <code>matrix[*][col1]</code> and 
 <code>matrix[*][col2]</code> in <code>matrix</code></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/math/array/impl/DefaultArrayOperations.html#swapMatrixElements(C[][], int, int, int, int)">swapMatrixElements</A></B>(<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultArrayOperations.html" title="type parameter in DefaultArrayOperations">C</A>[][]&nbsp;matrix,
                                     int&nbsp;row1,
                                     int&nbsp;col1,
                                     int&nbsp;row2,
                                     int&nbsp;col2)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Swaps the two elements <code>matrix[row1][col1]</code> and 
 <code>matrix[row2][col2]</code> in <code>matrix</code></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/math/array/impl/DefaultArrayOperations.html#swapMatrixMatrixElements(C[][], int, int, C[][], int, int)">swapMatrixMatrixElements</A></B>(<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultArrayOperations.html" title="type parameter in DefaultArrayOperations">C</A>[][]&nbsp;m1,
                                                 int&nbsp;row1,
                                                 int&nbsp;col1,
                                                 <A HREF="../../../../../ch/javasoft/math/array/impl/DefaultArrayOperations.html" title="type parameter in DefaultArrayOperations">C</A>[][]&nbsp;m2,
                                                 int&nbsp;row2,
                                                 int&nbsp;col2)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Swaps the two elements <code>m1[row1][col1]</code> and <code>m2[row2][col2]</code> 
 in the two matrices <code>m1</code> and <code>m2</code></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/math/array/impl/DefaultArrayOperations.html#swapMatrixRows(C[][], int, int)">swapMatrixRows</A></B>(<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultArrayOperations.html" title="type parameter in DefaultArrayOperations">C</A>[][]&nbsp;matrix,
                             int&nbsp;row1,
                             int&nbsp;row2)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Swaps all corresponding row elements <code>matrix[row1][*]</code> and 
 <code>matrix[row2][*]</code> in <code>matrix</code></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/math/array/impl/DefaultArrayOperations.html#swapVectorElements(C[], int, int)">swapVectorElements</A></B>(<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultArrayOperations.html" title="type parameter in DefaultArrayOperations">C</A>[]&nbsp;v,
                                     int&nbsp;index1,
                                     int&nbsp;index2)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Swaps the two elements <code>v[index1]</code> and <code>v[index2]</code> in vector
 <code>v</code></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/math/array/impl/DefaultArrayOperations.html#swapVectorMatrixElements(C[], int, C[][], int, int)">swapVectorMatrixElements</A></B>(<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultArrayOperations.html" title="type parameter in DefaultArrayOperations">C</A>[]&nbsp;v,
                                                 int&nbsp;index,
                                                 <A HREF="../../../../../ch/javasoft/math/array/impl/DefaultArrayOperations.html" title="type parameter in DefaultArrayOperations">C</A>[][]&nbsp;m,
                                                 int&nbsp;row,
                                                 int&nbsp;col)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Swaps the two elements <code>v[index1]</code> and <code>v[row][col]</code> in 
 vector <code>v</code> and matrix <code>m</code></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/math/array/impl/DefaultArrayOperations.html#swapVectorVectorElements(C[], int, C[], int)">swapVectorVectorElements</A></B>(<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultArrayOperations.html" title="type parameter in DefaultArrayOperations">C</A>[]&nbsp;v1,
                                                 int&nbsp;index1,
                                                 <A HREF="../../../../../ch/javasoft/math/array/impl/DefaultArrayOperations.html" title="type parameter in DefaultArrayOperations">C</A>[]&nbsp;v2,
                                                 int&nbsp;index2)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Swaps the two elements <code>v1[index1]</code> and <code>v2[index2]</code> in the 
 two vectors <code>v1</code> and <code>v2</code></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultArrayOperations.html" title="type parameter in DefaultArrayOperations">C</A>[][]</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/math/array/impl/DefaultArrayOperations.html#transpose(C[][])">transpose</A></B>(<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultArrayOperations.html" title="type parameter in DefaultArrayOperations">C</A>[][]&nbsp;matrix)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the transpose of the input matrix.</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_ch.javasoft.math.array.impl.AbstractArrayOperations"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class ch.javasoft.math.array.impl.<A HREF="../../../../../ch/javasoft/math/array/impl/AbstractArrayOperations.html" title="class in ch.javasoft.math.array.impl">AbstractArrayOperations</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../../ch/javasoft/math/array/impl/AbstractArrayOperations.html#arrayClass()">arrayClass</A>, <A HREF="../../../../../ch/javasoft/math/array/impl/AbstractArrayOperations.html#copyMatrix(A[], A[])">copyMatrix</A>, <A HREF="../../../../../ch/javasoft/math/array/impl/AbstractArrayOperations.html#copyMatrixElements(A[], int, int, A[], int, int, int, int)">copyMatrixElements</A>, <A HREF="../../../../../ch/javasoft/math/array/impl/AbstractArrayOperations.html#copyMatrixRowElements(A[], int, int, A[], int, int, int)">copyMatrixRowElements</A>, <A HREF="../../../../../ch/javasoft/math/array/impl/AbstractArrayOperations.html#copyMatrixRowElementsToVector(A[], int, int, A, int, int)">copyMatrixRowElementsToVector</A>, <A HREF="../../../../../ch/javasoft/math/array/impl/AbstractArrayOperations.html#copyOfMatrix(A[])">copyOfMatrix</A>, <A HREF="../../../../../ch/javasoft/math/array/impl/AbstractArrayOperations.html#copyOfMatrixRow(A[], int)">copyOfMatrixRow</A>, <A HREF="../../../../../ch/javasoft/math/array/impl/AbstractArrayOperations.html#copyOfMatrixRowRange(A[], int, int, int)">copyOfMatrixRowRange</A>, <A HREF="../../../../../ch/javasoft/math/array/impl/AbstractArrayOperations.html#copyOfRowSubMatrix(A[], int...)">copyOfRowSubMatrix</A>, <A HREF="../../../../../ch/javasoft/math/array/impl/AbstractArrayOperations.html#copyOfVector(A)">copyOfVector</A>, <A HREF="../../../../../ch/javasoft/math/array/impl/AbstractArrayOperations.html#copyOfVector(A, int)">copyOfVector</A>, <A HREF="../../../../../ch/javasoft/math/array/impl/AbstractArrayOperations.html#copyOfVectorRange(A, int, int)">copyOfVectorRange</A>, <A HREF="../../../../../ch/javasoft/math/array/impl/AbstractArrayOperations.html#copyVector(A, A)">copyVector</A>, <A HREF="../../../../../ch/javasoft/math/array/impl/AbstractArrayOperations.html#copyVectorElements(A, int, A, int, int)">copyVectorElements</A>, <A HREF="../../../../../ch/javasoft/math/array/impl/AbstractArrayOperations.html#copyVectorElementsToMatrixRow(A, int, A[], int, int, int)">copyVectorElementsToMatrixRow</A>, <A HREF="../../../../../ch/javasoft/math/array/impl/AbstractArrayOperations.html#getAsString(A[], int, int)">getAsString</A>, <A HREF="../../../../../ch/javasoft/math/array/impl/AbstractArrayOperations.html#getMatrixSignatureString(java.lang.String, A[])">getMatrixSignatureString</A>, <A HREF="../../../../../ch/javasoft/math/array/impl/AbstractArrayOperations.html#getRowCount(A[])">getRowCount</A>, <A HREF="../../../../../ch/javasoft/math/array/impl/AbstractArrayOperations.html#getVectorSignatureString(java.lang.String, A, boolean)">getVectorSignatureString</A>, <A HREF="../../../../../ch/javasoft/math/array/impl/AbstractArrayOperations.html#newMatrix(int, int)">newMatrix</A>, <A HREF="../../../../../ch/javasoft/math/array/impl/AbstractArrayOperations.html#newVector(int)">newVector</A>, <A HREF="../../../../../ch/javasoft/math/array/impl/AbstractArrayOperations.html#printMatrix(java.io.PrintWriter, java.lang.String, A[])">printMatrix</A>, <A HREF="../../../../../ch/javasoft/math/array/impl/AbstractArrayOperations.html#printMatrixSignature(java.io.PrintWriter, java.lang.String, A[], boolean)">printMatrixSignature</A>, <A HREF="../../../../../ch/javasoft/math/array/impl/AbstractArrayOperations.html#printVector(java.io.PrintWriter, java.lang.String, A, boolean)">printVector</A>, <A HREF="../../../../../ch/javasoft/math/array/impl/AbstractArrayOperations.html#printVectorSignature(java.io.PrintWriter, java.lang.String, A, boolean, boolean)">printVectorSignature</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#clone()" title="class or interface in java.lang">clone</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#equals(java.lang.Object)" title="class or interface in java.lang">equals</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#finalize()" title="class or interface in java.lang">finalize</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#getClass()" title="class or interface in java.lang">getClass</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#hashCode()" title="class or interface in java.lang">hashCode</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notify()" title="class or interface in java.lang">notify</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notifyAll()" title="class or interface in java.lang">notifyAll</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#toString()" title="class or interface in java.lang">toString</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait()" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long)" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long, int)" title="class or interface in java.lang">wait</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="DefaultArrayOperations(java.lang.Class)"><!-- --></A><H3>
DefaultArrayOperations</H3>
<PRE>
public <A HREF="../../../../../src-html/ch/javasoft/math/array/impl/DefaultArrayOperations.html#line.45"><B>DefaultArrayOperations</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Class.html" title="class or interface in java.lang">Class</A>&lt;<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultArrayOperations.html" title="type parameter in DefaultArrayOperations">C</A>[]&gt;&nbsp;arrayClass)</PRE>
<DL>
</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="getLength(java.lang.Object)"><!-- --></A><A NAME="getLength(C[])"><!-- --></A><H3>
getLength</H3>
<PRE>
public int <A HREF="../../../../../src-html/ch/javasoft/math/array/impl/DefaultArrayOperations.html#line.49"><B>getLength</B></A>(<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultArrayOperations.html" title="type parameter in DefaultArrayOperations">C</A>[]&nbsp;array)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../ch/javasoft/math/array/ArrayOperations.html#getLength(A)">ArrayOperations</A></CODE></B></DD>
<DD>Returns the length of the given array
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>array</CODE> - the array for which to return the length</DL>
</DD>
</DL>
<HR>

<A NAME="getColumnCount(java.lang.Object)"><!-- --></A><A NAME="getColumnCount(C[][])"><!-- --></A><H3>
getColumnCount</H3>
<PRE>
public int <A HREF="../../../../../src-html/ch/javasoft/math/array/impl/DefaultArrayOperations.html#line.54"><B>getColumnCount</B></A>(<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultArrayOperations.html" title="type parameter in DefaultArrayOperations">C</A>[][]&nbsp;matrix)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../ch/javasoft/math/array/ArrayOperations.html#getColumnCount(A[])">ArrayOperations</A></CODE></B></DD>
<DD>Returns the second dimension of the given 2D array, associated with 
 matrix columns
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../ch/javasoft/math/array/ArrayOperations.html#getColumnCount(A[])">getColumnCount</A></CODE> in interface <CODE><A HREF="../../../../../ch/javasoft/math/array/ArrayOperations.html" title="interface in ch.javasoft.math.array">ArrayOperations</A>&lt;<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultArrayOperations.html" title="type parameter in DefaultArrayOperations">C</A>[]&gt;</CODE><DT><B>Overrides:</B><DD><CODE><A HREF="../../../../../ch/javasoft/math/array/impl/AbstractArrayOperations.html#getColumnCount(A[])">getColumnCount</A></CODE> in class <CODE><A HREF="../../../../../ch/javasoft/math/array/impl/AbstractArrayOperations.html" title="class in ch.javasoft.math.array.impl">AbstractArrayOperations</A>&lt;<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultArrayOperations.html" title="type parameter in DefaultArrayOperations">C</A>[]&gt;</CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>matrix</CODE> - the matrix for which to return the number of columns</DL>
</DD>
</DL>
<HR>

<A NAME="getAsString(java.lang.Object,int)"><!-- --></A><A NAME="getAsString(C[], int)"><!-- --></A><H3>
getAsString</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A> <A HREF="../../../../../src-html/ch/javasoft/math/array/impl/DefaultArrayOperations.html#line.58"><B>getAsString</B></A>(<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultArrayOperations.html" title="type parameter in DefaultArrayOperations">C</A>[]&nbsp;vector,
                          int&nbsp;index)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../ch/javasoft/math/array/ArrayOperations.html#getAsString(A, int)">ArrayOperations</A></CODE></B></DD>
<DD>Returns a single vector element as string
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>vector</CODE> - the vector<DD><CODE>index</CODE> - the index in the vector
<DT><B>Returns:</B><DD>the vector element as string</DL>
</DD>
</DL>
<HR>

<A NAME="swapVectorElements(java.lang.Object,int,int)"><!-- --></A><A NAME="swapVectorElements(C[], int, int)"><!-- --></A><H3>
swapVectorElements</H3>
<PRE>
public void <A HREF="../../../../../src-html/ch/javasoft/math/array/impl/DefaultArrayOperations.html#line.62"><B>swapVectorElements</B></A>(<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultArrayOperations.html" title="type parameter in DefaultArrayOperations">C</A>[]&nbsp;v,
                               int&nbsp;index1,
                               int&nbsp;index2)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../ch/javasoft/math/array/ArrayOperations.html#swapVectorElements(A, int, int)">ArrayOperations</A></CODE></B></DD>
<DD>Swaps the two elements <code>v[index1]</code> and <code>v[index2]</code> in vector
 <code>v</code>
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>v</CODE> - the vector<DD><CODE>index1</CODE> - the index identifying the first element in <code>v</code><DD><CODE>index2</CODE> - the index identifying the second element in <code>v</code></DL>
</DD>
</DL>
<HR>

<A NAME="swapMatrixElements(java.lang.Object,int,int,int,int)"><!-- --></A><A NAME="swapMatrixElements(C[][], int, int, int, int)"><!-- --></A><H3>
swapMatrixElements</H3>
<PRE>
public void <A HREF="../../../../../src-html/ch/javasoft/math/array/impl/DefaultArrayOperations.html#line.68"><B>swapMatrixElements</B></A>(<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultArrayOperations.html" title="type parameter in DefaultArrayOperations">C</A>[][]&nbsp;matrix,
                               int&nbsp;row1,
                               int&nbsp;col1,
                               int&nbsp;row2,
                               int&nbsp;col2)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../ch/javasoft/math/array/ArrayOperations.html#swapMatrixElements(A[], int, int, int, int)">ArrayOperations</A></CODE></B></DD>
<DD>Swaps the two elements <code>matrix[row1][col1]</code> and 
 <code>matrix[row2][col2]</code> in <code>matrix</code>
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>matrix</CODE> - the matrix<DD><CODE>row1</CODE> - the row index to identify the first element in 
                                        <code>matrix</code><DD><CODE>col1</CODE> - the column index to identify the first element in 
                                        <code>matrix</code><DD><CODE>row2</CODE> - the row index to identify the second element in 
                                        <code>matrix</code><DD><CODE>col2</CODE> - the column index to identify the second element in 
                                        <code>matrix</code></DL>
</DD>
</DL>
<HR>

<A NAME="swapMatrixRows(java.lang.Object,int,int)"><!-- --></A><A NAME="swapMatrixRows(C[][], int, int)"><!-- --></A><H3>
swapMatrixRows</H3>
<PRE>
public void <A HREF="../../../../../src-html/ch/javasoft/math/array/impl/DefaultArrayOperations.html#line.74"><B>swapMatrixRows</B></A>(<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultArrayOperations.html" title="type parameter in DefaultArrayOperations">C</A>[][]&nbsp;matrix,
                           int&nbsp;row1,
                           int&nbsp;row2)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../ch/javasoft/math/array/ArrayOperations.html#swapMatrixRows(A[], int, int)">ArrayOperations</A></CODE></B></DD>
<DD>Swaps all corresponding row elements <code>matrix[row1][*]</code> and 
 <code>matrix[row2][*]</code> in <code>matrix</code>
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>matrix</CODE> - the matrix<DD><CODE>row1</CODE> - the index identifying the first row in <code>matrix</code><DD><CODE>row2</CODE> - the index identifying the second row in <code>matrix</code></DL>
</DD>
</DL>
<HR>

<A NAME="swapMatrixColumns(java.lang.Object,int,int)"><!-- --></A><A NAME="swapMatrixColumns(C[][], int, int)"><!-- --></A><H3>
swapMatrixColumns</H3>
<PRE>
public void <A HREF="../../../../../src-html/ch/javasoft/math/array/impl/DefaultArrayOperations.html#line.83"><B>swapMatrixColumns</B></A>(<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultArrayOperations.html" title="type parameter in DefaultArrayOperations">C</A>[][]&nbsp;matrix,
                              int&nbsp;col1,
                              int&nbsp;col2)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../ch/javasoft/math/array/ArrayOperations.html#swapMatrixColumns(A[], int, int)">ArrayOperations</A></CODE></B></DD>
<DD>Swaps all corresponding column elements <code>matrix[*][col1]</code> and 
 <code>matrix[*][col2]</code> in <code>matrix</code>
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>matrix</CODE> - the matrix<DD><CODE>col1</CODE> - the index identifying the first column in <code>matrix</code><DD><CODE>col2</CODE> - the index identifying the second column in 
                                        <code>matrix</code></DL>
</DD>
</DL>
<HR>

<A NAME="swapVectorVectorElements(java.lang.Object,int,java.lang.Object,int)"><!-- --></A><A NAME="swapVectorVectorElements(C[], int, C[], int)"><!-- --></A><H3>
swapVectorVectorElements</H3>
<PRE>
public void <A HREF="../../../../../src-html/ch/javasoft/math/array/impl/DefaultArrayOperations.html#line.92"><B>swapVectorVectorElements</B></A>(<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultArrayOperations.html" title="type parameter in DefaultArrayOperations">C</A>[]&nbsp;v1,
                                     int&nbsp;index1,
                                     <A HREF="../../../../../ch/javasoft/math/array/impl/DefaultArrayOperations.html" title="type parameter in DefaultArrayOperations">C</A>[]&nbsp;v2,
                                     int&nbsp;index2)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../ch/javasoft/math/array/ArrayOperations.html#swapVectorVectorElements(A, int, A, int)">ArrayOperations</A></CODE></B></DD>
<DD>Swaps the two elements <code>v1[index1]</code> and <code>v2[index2]</code> in the 
 two vectors <code>v1</code> and <code>v2</code>
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>v1</CODE> - the first vector<DD><CODE>index1</CODE> - the index identifying the first element in <code>v1</code><DD><CODE>v2</CODE> - the second vector<DD><CODE>index2</CODE> - the index identifying the second element in <code>v2</code></DL>
</DD>
</DL>
<HR>

<A NAME="swapVectorMatrixElements(java.lang.Object,int,java.lang.Object,int,int)"><!-- --></A><A NAME="swapVectorMatrixElements(C[], int, C[][], int, int)"><!-- --></A><H3>
swapVectorMatrixElements</H3>
<PRE>
public void <A HREF="../../../../../src-html/ch/javasoft/math/array/impl/DefaultArrayOperations.html#line.98"><B>swapVectorMatrixElements</B></A>(<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultArrayOperations.html" title="type parameter in DefaultArrayOperations">C</A>[]&nbsp;v,
                                     int&nbsp;index,
                                     <A HREF="../../../../../ch/javasoft/math/array/impl/DefaultArrayOperations.html" title="type parameter in DefaultArrayOperations">C</A>[][]&nbsp;m,
                                     int&nbsp;row,
                                     int&nbsp;col)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../ch/javasoft/math/array/ArrayOperations.html#swapVectorMatrixElements(A, int, A[], int, int)">ArrayOperations</A></CODE></B></DD>
<DD>Swaps the two elements <code>v[index1]</code> and <code>v[row][col]</code> in 
 vector <code>v</code> and matrix <code>m</code>
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>v</CODE> - the vector containing the first element<DD><CODE>index</CODE> - the index identifying the first element in <code>v</code><DD><CODE>m</CODE> - the matrix containing the second element<DD><CODE>row</CODE> - the row index to identify the second element in <code>m</code><DD><CODE>col</CODE> - the column index to identify the second element in <code>m</code></DL>
</DD>
</DL>
<HR>

<A NAME="swapMatrixMatrixElements(java.lang.Object,int,int,java.lang.Object,int,int)"><!-- --></A><A NAME="swapMatrixMatrixElements(C[][], int, int, C[][], int, int)"><!-- --></A><H3>
swapMatrixMatrixElements</H3>
<PRE>
public void <A HREF="../../../../../src-html/ch/javasoft/math/array/impl/DefaultArrayOperations.html#line.104"><B>swapMatrixMatrixElements</B></A>(<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultArrayOperations.html" title="type parameter in DefaultArrayOperations">C</A>[][]&nbsp;m1,
                                     int&nbsp;row1,
                                     int&nbsp;col1,
                                     <A HREF="../../../../../ch/javasoft/math/array/impl/DefaultArrayOperations.html" title="type parameter in DefaultArrayOperations">C</A>[][]&nbsp;m2,
                                     int&nbsp;row2,
                                     int&nbsp;col2)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../ch/javasoft/math/array/ArrayOperations.html#swapMatrixMatrixElements(A[], int, int, A[], int, int)">ArrayOperations</A></CODE></B></DD>
<DD>Swaps the two elements <code>m1[row1][col1]</code> and <code>m2[row2][col2]</code> 
 in the two matrices <code>m1</code> and <code>m2</code>
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>m1</CODE> - the first matrix<DD><CODE>row1</CODE> - the row index to identify the first element in <code>m1</code><DD><CODE>col1</CODE> - the column index to identify the first element in <code>m1</code><DD><CODE>m2</CODE> - the second matrix<DD><CODE>row2</CODE> - the row index to identify the second element in <code>m2</code><DD><CODE>col2</CODE> - the column index to identify the second element in <code>m2</code></DL>
</DD>
</DL>
<HR>

<A NAME="copyVectorElement(java.lang.Object,int,java.lang.Object,int)"><!-- --></A><A NAME="copyVectorElement(C[], int, C[], int)"><!-- --></A><H3>
copyVectorElement</H3>
<PRE>
public void <A HREF="../../../../../src-html/ch/javasoft/math/array/impl/DefaultArrayOperations.html#line.110"><B>copyVectorElement</B></A>(<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultArrayOperations.html" title="type parameter in DefaultArrayOperations">C</A>[]&nbsp;src,
                              int&nbsp;srcIndex,
                              <A HREF="../../../../../ch/javasoft/math/array/impl/DefaultArrayOperations.html" title="type parameter in DefaultArrayOperations">C</A>[]&nbsp;dst,
                              int&nbsp;dstIndex)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../ch/javasoft/math/array/ArrayOperations.html#copyVectorElement(A, int, A, int)">ArrayOperations</A></CODE></B></DD>
<DD>Copies the specified element from <code>src</code> to <code>dst</code>, that is,
 <p>
 <code>dst[dstIndex] = src[srcIndex]</code>
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>src</CODE> - the source array<DD><CODE>srcIndex</CODE> - the index in <code>src</code><DD><CODE>dst</CODE> - the destination array<DD><CODE>dstIndex</CODE> - the index in <code>dst</code></DL>
</DD>
</DL>
<HR>

<A NAME="copyVectorElements(java.lang.Object,int,java.lang.Object,int)"><!-- --></A><A NAME="copyVectorElements(C[], int[], C[], int[])"><!-- --></A><H3>
copyVectorElements</H3>
<PRE>
public void <A HREF="../../../../../src-html/ch/javasoft/math/array/impl/DefaultArrayOperations.html#line.113"><B>copyVectorElements</B></A>(<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultArrayOperations.html" title="type parameter in DefaultArrayOperations">C</A>[]&nbsp;src,
                               int[]&nbsp;srcIndices,
                               <A HREF="../../../../../ch/javasoft/math/array/impl/DefaultArrayOperations.html" title="type parameter in DefaultArrayOperations">C</A>[]&nbsp;dst,
                               int[]&nbsp;dstIndices)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../ch/javasoft/math/array/ArrayOperations.html#copyVectorElements(A, int[], A, int[])">ArrayOperations</A></CODE></B></DD>
<DD>Copies the specified elements from <code>src</code> to <code>dst</code>, that is,
 <p>
 <code>dst[dstIndices[..]] = src[srcIndices[..]]</code>
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>src</CODE> - the source array<DD><CODE>srcIndices</CODE> - the indices in <code>src</code><DD><CODE>dst</CODE> - the destination array<DD><CODE>dstIndices</CODE> - the indices in <code>dst</code></DL>
</DD>
</DL>
<HR>

<A NAME="copyVectorElementsToMatrixColumn(java.lang.Object,int,java.lang.Object,int,int,int)"><!-- --></A><A NAME="copyVectorElementsToMatrixColumn(C[], int, C[][], int, int, int)"><!-- --></A><H3>
copyVectorElementsToMatrixColumn</H3>
<PRE>
public void <A HREF="../../../../../src-html/ch/javasoft/math/array/impl/DefaultArrayOperations.html#line.121"><B>copyVectorElementsToMatrixColumn</B></A>(<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultArrayOperations.html" title="type parameter in DefaultArrayOperations">C</A>[]&nbsp;src,
                                             int&nbsp;srcStart,
                                             <A HREF="../../../../../ch/javasoft/math/array/impl/DefaultArrayOperations.html" title="type parameter in DefaultArrayOperations">C</A>[][]&nbsp;dst,
                                             int&nbsp;dstRowStart,
                                             int&nbsp;dstCol,
                                             int&nbsp;length)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../ch/javasoft/math/array/ArrayOperations.html#copyVectorElementsToMatrixColumn(A, int, A[], int, int, int)">ArrayOperations</A></CODE></B></DD>
<DD>Copies the specified elements from the <code>src</code> vector to a row of the 
 <code>dst</code> matrix, that is,
 <p>
 <code>dst[dstRowStart : dstRowStart+length-1][dstCol] = src[srcStart : srcStart+length-1]</code>
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>src</CODE> - the source array<DD><CODE>srcStart</CODE> - the first index in <code>src</code><DD><CODE>dst</CODE> - the destination array<DD><CODE>dstRowStart</CODE> - the first row index in <code>dst</code><DD><CODE>dstCol</CODE> - the column index in <code>dst</code><DD><CODE>length</CODE> - the number of elements to copy</DL>
</DD>
</DL>
<HR>

<A NAME="copyMatrixElement(java.lang.Object,int,int,java.lang.Object,int,int)"><!-- --></A><A NAME="copyMatrixElement(C[][], int, int, C[][], int, int)"><!-- --></A><H3>
copyMatrixElement</H3>
<PRE>
public void <A HREF="../../../../../src-html/ch/javasoft/math/array/impl/DefaultArrayOperations.html#line.126"><B>copyMatrixElement</B></A>(<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultArrayOperations.html" title="type parameter in DefaultArrayOperations">C</A>[][]&nbsp;src,
                              int&nbsp;srcRow,
                              int&nbsp;srcCol,
                              <A HREF="../../../../../ch/javasoft/math/array/impl/DefaultArrayOperations.html" title="type parameter in DefaultArrayOperations">C</A>[][]&nbsp;dst,
                              int&nbsp;dstRow,
                              int&nbsp;dstCol)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../ch/javasoft/math/array/ArrayOperations.html#copyMatrixElement(A[], int, int, A[], int, int)">ArrayOperations</A></CODE></B></DD>
<DD>Copies the specified element from <code>src</code> to <code>dst</code>, that is,
 <p>
 <code>dst[dstRow][dstCol] = src[srcRow][srcCol]</code>
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>src</CODE> - the source array<DD><CODE>srcRow</CODE> - the row index in <code>src</code><DD><CODE>srcCol</CODE> - the column index in <code>src</code><DD><CODE>dst</CODE> - the destination array<DD><CODE>dstRow</CODE> - the row index in <code>dst</code><DD><CODE>dstCol</CODE> - the column index in <code>dst</code></DL>
</DD>
</DL>
<HR>

<A NAME="copyMatrixRowElementsToColumn(java.lang.Object,int,int,java.lang.Object,int,int,int)"><!-- --></A><A NAME="copyMatrixRowElementsToColumn(C[][], int, int, C[][], int, int, int)"><!-- --></A><H3>
copyMatrixRowElementsToColumn</H3>
<PRE>
public void <A HREF="../../../../../src-html/ch/javasoft/math/array/impl/DefaultArrayOperations.html#line.129"><B>copyMatrixRowElementsToColumn</B></A>(<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultArrayOperations.html" title="type parameter in DefaultArrayOperations">C</A>[][]&nbsp;src,
                                          int&nbsp;srcRow,
                                          int&nbsp;srcColStart,
                                          <A HREF="../../../../../ch/javasoft/math/array/impl/DefaultArrayOperations.html" title="type parameter in DefaultArrayOperations">C</A>[][]&nbsp;dst,
                                          int&nbsp;dstRowStart,
                                          int&nbsp;dstCol,
                                          int&nbsp;length)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../ch/javasoft/math/array/ArrayOperations.html#copyMatrixRowElementsToColumn(A[], int, int, A[], int, int, int)">ArrayOperations</A></CODE></B></DD>
<DD>Copies the specified row elements from the <code>src</code> matrix to the  
 column of the <code>dst</code> matrix, that  is,
 <p>
 <code>dst[dstRowStart : dstRowStart+length-1][dstCol] = src[srcRow][srcColStart : srcColStart+length-1]</code>
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>src</CODE> - the source array<DD><CODE>srcRow</CODE> - the row index in <code>src</code><DD><CODE>srcColStart</CODE> - the first column index in <code>src</code><DD><CODE>dst</CODE> - the destination array<DD><CODE>dstRowStart</CODE> - the first row index in <code>dst</code><DD><CODE>dstCol</CODE> - the column index in <code>dst</code><DD><CODE>length</CODE> - the number of elements to copy</DL>
</DD>
</DL>
<HR>

<A NAME="copyMatrixColumnElements(java.lang.Object,int,int,java.lang.Object,int,int,int)"><!-- --></A><A NAME="copyMatrixColumnElements(C[][], int, int, C[][], int, int, int)"><!-- --></A><H3>
copyMatrixColumnElements</H3>
<PRE>
public void <A HREF="../../../../../src-html/ch/javasoft/math/array/impl/DefaultArrayOperations.html#line.134"><B>copyMatrixColumnElements</B></A>(<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultArrayOperations.html" title="type parameter in DefaultArrayOperations">C</A>[][]&nbsp;src,
                                     int&nbsp;srcRowStart,
                                     int&nbsp;srcCol,
                                     <A HREF="../../../../../ch/javasoft/math/array/impl/DefaultArrayOperations.html" title="type parameter in DefaultArrayOperations">C</A>[][]&nbsp;dst,
                                     int&nbsp;dstRowStart,
                                     int&nbsp;dstCol,
                                     int&nbsp;length)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../ch/javasoft/math/array/ArrayOperations.html#copyMatrixColumnElements(A[], int, int, A[], int, int, int)">ArrayOperations</A></CODE></B></DD>
<DD>Copies the specified column elements from <code>src</code> to <code>dst</code>, 
 that is,
 <p>
 <code>dst[dstRowStart : dstRowStart+length-1][dstCol] = src[srcRowStart : srcRowStart+length-1][srcCol]</code>
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>src</CODE> - the source array<DD><CODE>srcRowStart</CODE> - the first row index in <code>src</code><DD><CODE>srcCol</CODE> - the column index in <code>src</code><DD><CODE>dst</CODE> - the destination array<DD><CODE>dstRowStart</CODE> - the first row index in <code>dst</code><DD><CODE>dstCol</CODE> - the column index in <code>dst</code><DD><CODE>length</CODE> - the number of elements to copy</DL>
</DD>
</DL>
<HR>

<A NAME="copyMatrixColumnElementsToVector(java.lang.Object,int,int,java.lang.Object,int,int)"><!-- --></A><A NAME="copyMatrixColumnElementsToVector(C[][], int, int, C[], int, int)"><!-- --></A><H3>
copyMatrixColumnElementsToVector</H3>
<PRE>
public void <A HREF="../../../../../src-html/ch/javasoft/math/array/impl/DefaultArrayOperations.html#line.139"><B>copyMatrixColumnElementsToVector</B></A>(<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultArrayOperations.html" title="type parameter in DefaultArrayOperations">C</A>[][]&nbsp;src,
                                             int&nbsp;srcRowStart,
                                             int&nbsp;srcCol,
                                             <A HREF="../../../../../ch/javasoft/math/array/impl/DefaultArrayOperations.html" title="type parameter in DefaultArrayOperations">C</A>[]&nbsp;dst,
                                             int&nbsp;dstStart,
                                             int&nbsp;length)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../ch/javasoft/math/array/ArrayOperations.html#copyMatrixColumnElementsToVector(A[], int, int, A, int, int)">ArrayOperations</A></CODE></B></DD>
<DD>Copies the specified column elements from the <code>src</code> matrix to the  
 vector <code>dst</code>, that  is,
 <p>
 <code>dst[dstStart : dstStart+length-1] = src[srcRowStart : srcRowStart+length-1][srcCol]</code>
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>src</CODE> - the source array<DD><CODE>srcRowStart</CODE> - the first row index in <code>src</code><DD><CODE>srcCol</CODE> - the column index in <code>src</code><DD><CODE>dst</CODE> - the destination array<DD><CODE>dstStart</CODE> - the first index in <code>dst</code><DD><CODE>length</CODE> - the number of elements to copy</DL>
</DD>
</DL>
<HR>

<A NAME="copyMatrixColumnElementsToRow(java.lang.Object,int,int,java.lang.Object,int,int,int)"><!-- --></A><A NAME="copyMatrixColumnElementsToRow(C[][], int, int, C[][], int, int, int)"><!-- --></A><H3>
copyMatrixColumnElementsToRow</H3>
<PRE>
public void <A HREF="../../../../../src-html/ch/javasoft/math/array/impl/DefaultArrayOperations.html#line.144"><B>copyMatrixColumnElementsToRow</B></A>(<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultArrayOperations.html" title="type parameter in DefaultArrayOperations">C</A>[][]&nbsp;src,
                                          int&nbsp;srcRowStart,
                                          int&nbsp;srcCol,
                                          <A HREF="../../../../../ch/javasoft/math/array/impl/DefaultArrayOperations.html" title="type parameter in DefaultArrayOperations">C</A>[][]&nbsp;dst,
                                          int&nbsp;dstRow,
                                          int&nbsp;dstColStart,
                                          int&nbsp;length)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../ch/javasoft/math/array/ArrayOperations.html#copyMatrixColumnElementsToRow(A[], int, int, A[], int, int, int)">ArrayOperations</A></CODE></B></DD>
<DD>Copies the specified column elements from the <code>src</code> matrix to the  
 row of the <code>dst</code> matrix, that  is,
 <p>
 <code>dst[dstRowStart : dstRowStart+length-1][dstCol] = src[srcRow][srcColStart : srcColStart+length-1]</code>
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>src</CODE> - the source array<DD><CODE>srcRowStart</CODE> - the first row index in <code>src</code><DD><CODE>srcCol</CODE> - the column index in <code>src</code><DD><CODE>dst</CODE> - the destination array<DD><CODE>dstRow</CODE> - the row index in <code>dst</code><DD><CODE>dstColStart</CODE> - the first column index in <code>dst</code><DD><CODE>length</CODE> - the number of elements to copy</DL>
</DD>
</DL>
<HR>

<A NAME="copyVectorElementsToMatrixDiagonal(java.lang.Object,java.lang.Object)"><!-- --></A><A NAME="copyVectorElementsToMatrixDiagonal(C[], C[][])"><!-- --></A><H3>
copyVectorElementsToMatrixDiagonal</H3>
<PRE>
public void <A HREF="../../../../../src-html/ch/javasoft/math/array/impl/DefaultArrayOperations.html#line.149"><B>copyVectorElementsToMatrixDiagonal</B></A>(<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultArrayOperations.html" title="type parameter in DefaultArrayOperations">C</A>[]&nbsp;src,
                                               <A HREF="../../../../../ch/javasoft/math/array/impl/DefaultArrayOperations.html" title="type parameter in DefaultArrayOperations">C</A>[][]&nbsp;dst)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../ch/javasoft/math/array/ArrayOperations.html#copyVectorElementsToMatrixDiagonal(A, A[])">ArrayOperations</A></CODE></B></DD>
<DD>Copies the elements of the <code>src</code> vector to the diagonal of the 
 <code>dst</code> matrix, that  is,
 <p>
 <code>dst[i][i] = src[i]</code> for <code>0 &lt;= i &lt; len</code>, with
 <code>len = min(dst#rows, dst#cols) = src#length</code>, throwing an exception 
 if minimal dimension of <code>dst</code> is not equal to the length of 
 <code>src</code>.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>src</CODE> - the source vector<DD><CODE>dst</CODE> - the destination matrix</DL>
</DD>
</DL>
<HR>

<A NAME="copyMatrixDiagonalElementsToVector(java.lang.Object,java.lang.Object)"><!-- --></A><A NAME="copyMatrixDiagonalElementsToVector(C[][], C[])"><!-- --></A><H3>
copyMatrixDiagonalElementsToVector</H3>
<PRE>
public void <A HREF="../../../../../src-html/ch/javasoft/math/array/impl/DefaultArrayOperations.html#line.160"><B>copyMatrixDiagonalElementsToVector</B></A>(<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultArrayOperations.html" title="type parameter in DefaultArrayOperations">C</A>[][]&nbsp;src,
                                               <A HREF="../../../../../ch/javasoft/math/array/impl/DefaultArrayOperations.html" title="type parameter in DefaultArrayOperations">C</A>[]&nbsp;dst)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../ch/javasoft/math/array/ArrayOperations.html#copyMatrixDiagonalElementsToVector(A[], A)">ArrayOperations</A></CODE></B></DD>
<DD>Copies the matrix diagonal elements from the <code>src</code> matrix to the  
 <code>dst</code> vector, that  is,
 <p>
 <code>dst[i] = src[i][i]</code> for <code>0 &lt;= i &lt; len</code>, with
 <code>len = min(src#rows, src#cols) = dst#length</code>, throwing an exception 
 if minimal dimension of <code>src</code> is not equal to the length of 
 <code>dst</code>.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>src</CODE> - the source matrix<DD><CODE>dst</CODE> - the destination vector</DL>
</DD>
</DL>
<HR>

<A NAME="copyOfMatrixDiagonal(java.lang.Object)"><!-- --></A><A NAME="copyOfMatrixDiagonal(C[][])"><!-- --></A><H3>
copyOfMatrixDiagonal</H3>
<PRE>
public <A HREF="../../../../../ch/javasoft/math/array/impl/DefaultArrayOperations.html" title="type parameter in DefaultArrayOperations">C</A>[] <A HREF="../../../../../src-html/ch/javasoft/math/array/impl/DefaultArrayOperations.html#line.171"><B>copyOfMatrixDiagonal</B></A>(<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultArrayOperations.html" title="type parameter in DefaultArrayOperations">C</A>[][]&nbsp;matrix)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../ch/javasoft/math/array/ArrayOperations.html#copyOfMatrixDiagonal(A[])">ArrayOperations</A></CODE></B></DD>
<DD>Creates a copy of the diagonal elements from the <code>src</code> matrix and
 returns the resulting vector.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>matrix</CODE> - the source matrix
<DT><B>Returns:</B><DD>a vector containing the matrix diagonal elements 
                        <code>matrix[i][i]</code> for <code>0 &lt;= i &lt; min(#rows, #cols)</code></DL>
</DD>
</DL>
<HR>

<A NAME="newDiagonalMatrix(java.lang.Object)"><!-- --></A><A NAME="newDiagonalMatrix(C[])"><!-- --></A><H3>
newDiagonalMatrix</H3>
<PRE>
public <A HREF="../../../../../ch/javasoft/math/array/impl/DefaultArrayOperations.html" title="type parameter in DefaultArrayOperations">C</A>[][] <A HREF="../../../../../src-html/ch/javasoft/math/array/impl/DefaultArrayOperations.html#line.181"><B>newDiagonalMatrix</B></A>(<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultArrayOperations.html" title="type parameter in DefaultArrayOperations">C</A>[]&nbsp;diagonal)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../ch/javasoft/math/array/ArrayOperations.html#newDiagonalMatrix(A)">ArrayOperations</A></CODE></B></DD>
<DD>Creates a new diagonal matrix containing the elements given in the 
 <code>diagonal</code> vector.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>diagonal</CODE> - the vector containing elements put to the diagonal in 
                                        the resulting matrix
<DT><B>Returns:</B><DD>a matrix containing the given elements in the diagonal</DL>
</DD>
</DL>
<HR>

<A NAME="copyOfMatrixColumn(java.lang.Object,int)"><!-- --></A><A NAME="copyOfMatrixColumn(C[][], int)"><!-- --></A><H3>
copyOfMatrixColumn</H3>
<PRE>
public <A HREF="../../../../../ch/javasoft/math/array/impl/DefaultArrayOperations.html" title="type parameter in DefaultArrayOperations">C</A>[] <A HREF="../../../../../src-html/ch/javasoft/math/array/impl/DefaultArrayOperations.html#line.189"><B>copyOfMatrixColumn</B></A>(<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultArrayOperations.html" title="type parameter in DefaultArrayOperations">C</A>[][]&nbsp;matrix,
                              int&nbsp;column)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../ch/javasoft/math/array/ArrayOperations.html#copyOfMatrixColumn(A[], int)">ArrayOperations</A></CODE></B></DD>
<DD>Returns a single column of the given matrix
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>matrix</CODE> - the matrix from which to return a column<DD><CODE>column</CODE> - the column index in the matrix, zero based</DL>
</DD>
</DL>
<HR>

<A NAME="copyOfMatrixColumnRange(java.lang.Object,int,int,int)"><!-- --></A><A NAME="copyOfMatrixColumnRange(C[][], int, int, int)"><!-- --></A><H3>
copyOfMatrixColumnRange</H3>
<PRE>
public <A HREF="../../../../../ch/javasoft/math/array/impl/DefaultArrayOperations.html" title="type parameter in DefaultArrayOperations">C</A>[] <A HREF="../../../../../src-html/ch/javasoft/math/array/impl/DefaultArrayOperations.html#line.197"><B>copyOfMatrixColumnRange</B></A>(<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultArrayOperations.html" title="type parameter in DefaultArrayOperations">C</A>[][]&nbsp;matrix,
                                   int&nbsp;rowFrom,
                                   int&nbsp;rowTo,
                                   int&nbsp;column)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../ch/javasoft/math/array/ArrayOperations.html#copyOfMatrixColumnRange(A[], int, int, int)">ArrayOperations</A></CODE></B></DD>
<DD>Returns a copy of the range of a single matrix column, that is,
 <code>matrix[rowFrom : rowTo)[column]</code> with inclusive from and exclusive 
 to indices
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>matrix</CODE> - the matrix from which to return a row<DD><CODE>rowFrom</CODE> - the first row index, inclusive<DD><CODE>rowTo</CODE> - the last row index, exclusive<DD><CODE>column</CODE> - the column index in the matrix</DL>
</DD>
</DL>
<HR>

<A NAME="copyOfColumnSubMatrix(java.lang.Object,int)"><!-- --></A><A NAME="copyOfColumnSubMatrix(C[][], int...)"><!-- --></A><H3>
copyOfColumnSubMatrix</H3>
<PRE>
public <A HREF="../../../../../ch/javasoft/math/array/impl/DefaultArrayOperations.html" title="type parameter in DefaultArrayOperations">C</A>[][] <A HREF="../../../../../src-html/ch/javasoft/math/array/impl/DefaultArrayOperations.html#line.205"><B>copyOfColumnSubMatrix</B></A>(<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultArrayOperations.html" title="type parameter in DefaultArrayOperations">C</A>[][]&nbsp;matrix,
                                   int...&nbsp;columnIndices)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../ch/javasoft/math/array/ArrayOperations.html#copyOfColumnSubMatrix(A[], int...)">ArrayOperations</A></CODE></B></DD>
<DD>Returns the specified submatrix. An empty index array means no elements,
 null means all elements.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>matrix</CODE> - the matrix from which to take the submatrix<DD><CODE>columnIndices</CODE> - the column indices to include in the submatrix, 
                                                where an empty array means that the submatrix 
                                                contains no columns, and null means that all columns 
                                                are included</DL>
</DD>
</DL>
<HR>

<A NAME="copyOfSubMatrix(java.lang.Object,int,int,int,int)"><!-- --></A><A NAME="copyOfSubMatrix(C[][], int, int, int, int)"><!-- --></A><H3>
copyOfSubMatrix</H3>
<PRE>
public <A HREF="../../../../../ch/javasoft/math/array/impl/DefaultArrayOperations.html" title="type parameter in DefaultArrayOperations">C</A>[][] <A HREF="../../../../../src-html/ch/javasoft/math/array/impl/DefaultArrayOperations.html#line.219"><B>copyOfSubMatrix</B></A>(<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultArrayOperations.html" title="type parameter in DefaultArrayOperations">C</A>[][]&nbsp;matrix,
                             int&nbsp;rowIndexFrom,
                             int&nbsp;rowIndexTo,
                             int&nbsp;colIndexFrom,
                             int&nbsp;colIndexTo)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../ch/javasoft/math/array/ArrayOperations.html#copyOfSubMatrix(A[], int, int, int, int)">ArrayOperations</A></CODE></B></DD>
<DD>Returns a copy of the sub matrix 
 <code>[rowIndexFrom : rowIndexTo)[colIndexFrom : colIndexTo)</code>, meaning
 that from indices are inclusive and to indices exclusive.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>matrix</CODE> - the matrix from which to take the submatrix<DD><CODE>rowIndexFrom</CODE> - the first row index, inclusive<DD><CODE>rowIndexTo</CODE> - the last row index, exclusive<DD><CODE>colIndexFrom</CODE> - the first column index, inclusive<DD><CODE>colIndexTo</CODE> - the last column index, exclusive</DL>
</DD>
</DL>
<HR>

<A NAME="copyOfSubMatrix(java.lang.Object,int,int)"><!-- --></A><A NAME="copyOfSubMatrix(C[][], int[], int[])"><!-- --></A><H3>
copyOfSubMatrix</H3>
<PRE>
public <A HREF="../../../../../ch/javasoft/math/array/impl/DefaultArrayOperations.html" title="type parameter in DefaultArrayOperations">C</A>[][] <A HREF="../../../../../src-html/ch/javasoft/math/array/impl/DefaultArrayOperations.html#line.230"><B>copyOfSubMatrix</B></A>(<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultArrayOperations.html" title="type parameter in DefaultArrayOperations">C</A>[][]&nbsp;matrix,
                             int[]&nbsp;rowIndices,
                             int[]&nbsp;columnIndices)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../ch/javasoft/math/array/ArrayOperations.html#copyOfSubMatrix(A[], int[], int[])">ArrayOperations</A></CODE></B></DD>
<DD>Returns the specified submatrix. An empty index array means no elements,
 null means all elements.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>matrix</CODE> - the matrix from which to take the submatrix<DD><CODE>rowIndices</CODE> - the row indices to include in the submatrix, where
                                                an empty array means that the submatrix contains no 
                                                rows, and null means that all rows are included<DD><CODE>columnIndices</CODE> - the column indices to include in the submatrix, 
                                                where an empty array means that the submatrix 
                                                contains no columns, and null means that all columns 
                                                are included</DL>
</DD>
</DL>
<HR>

<A NAME="transpose(java.lang.Object)"><!-- --></A><A NAME="transpose(C[][])"><!-- --></A><H3>
transpose</H3>
<PRE>
public <A HREF="../../../../../ch/javasoft/math/array/impl/DefaultArrayOperations.html" title="type parameter in DefaultArrayOperations">C</A>[][] <A HREF="../../../../../src-html/ch/javasoft/math/array/impl/DefaultArrayOperations.html#line.248"><B>transpose</B></A>(<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultArrayOperations.html" title="type parameter in DefaultArrayOperations">C</A>[][]&nbsp;matrix)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../ch/javasoft/math/array/ArrayOperations.html#transpose(A[])">ArrayOperations</A></CODE></B></DD>
<DD>Returns the transpose of the input matrix.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>matrix</CODE> - the matrix to transpose
<DT><B>Returns:</B><DD><code>matrix<sup>T</sup></code></DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/DefaultArrayOperations.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../ch/javasoft/math/array/impl/AbstractArrayOperations.html" title="class in ch.javasoft.math.array.impl"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../../ch/javasoft/math/array/impl/DefaultNumberArrayOperations.html" title="class in ch.javasoft.math.array.impl"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?ch/javasoft/math/array/impl/DefaultArrayOperations.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="DefaultArrayOperations.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
